Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.process
Interface Template

All Known Implementing Classes:
  AnyNumberTemplate, ApplyImportsTemplate, ApplyTemplatesTemplate, AssignVariableTemplate, AttributeSet, AttributeTemplate, BadTemplate, CallTemplate, ChooseTemplate, CommentTemplate, CopyOfTemplate, CopyTemplate, ElementTemplate, FallbackTemplate, FallbackTemplatesTemplate, ForEachTemplate, IfTemplate, LiteralElementTemplate, MessageTemplate, MultiNumberTemplate, NumberTemplate, OtherwiseTemplate, PITemplate, SingleNumberTemplate, TemplateCollection, TextTemplate, TopLevelVariableTemplate, TraceMessageTemplate, ValueOfTemplate, VariableTemplate, WhenTemplate, WithParamTemplate

    public interface Template

An interface for templates.

Method Summary
`void` | `dump(PrintWriter out, int indent)` Dumps this object to the specified output stream.
`Node` | `getNamespaceContext()` Return the node that is the namespace context for this template
`void` | `instantiate(ProcessingEnv env, Node currentNode, ResultHandler result)` Instantiates this template for the specified current node and sends the result to the specified result handler.

Method Detail

### instantiate

    void instantiate(ProcessingEnv env,
                     Node currentNode,
                     ResultHandler result)
                     throws XSLException

  Instantiates this template for the specified current node and sends the result to the specified result handler.

  Parameters:
    `env` - the current processing environment
    `currentNode` - the current source node
    `result` - the handler to which results are sent
  Throws:
    `XSLException` - if a fatal error occurs during instantiation

### getNamespaceContext

    Node getNamespaceContext()

  Return the node that is the namespace context for this template

  Returns:
    The namespace context node.

### dump

    void dump(PrintWriter out,
              int indent)

  Dumps this object to the specified output stream.

  Parameters:
    `out` - the output stream to write to
    `indent` - number of tabs to indent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD